import { __decorate } from "tslib";
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgTransitionDirective } from './ng-transition.directive';
import { AnimationFrameRef, GetComputedStyleRef, TimeoutRef } from 'ng-refs';
let NgTransitionModule = class NgTransitionModule {
};
NgTransitionModule = __decorate([
    NgModule({
        imports: [CommonModule],
        declarations: [NgTransitionDirective],
        providers: [AnimationFrameRef, GetComputedStyleRef, TimeoutRef],
        exports: [NgTransitionDirective]
    })
], NgTransitionModule);
export { NgTransitionModule };
//# sourceMappingURL=ng-transition.module.js.map