import { AnimationFrameRef, GetComputedStyleRef, TimeoutRef } from 'ng-refs';
interface Stages {
    start: () => void;
    during: () => void;
    end: () => void;
    hide: () => void;
    cleanup: () => void;
}
export declare function transitionClasses(animationFrameRef: AnimationFrameRef, getComputedStyleRef: GetComputedStyleRef, timeoutRef: TimeoutRef, el: HTMLElement, classesDuring: string[], classesStart: string[], classesEnd: string[], done: () => unknown): void;
export declare function transition(animationFrameRef: AnimationFrameRef, getComputedStyleRef: GetComputedStyleRef, timeoutRef: TimeoutRef, el: HTMLElement, stages: Stages): void;
export {};
